Subject: bug#78843: Various vtable bug fixes and enhancements

From: Stéphane Marks <[email-masked]>
Date: Sun, 22 Jun 2025 05:45:59 -0400

On Sun, Jun 22, 2025 at 5:42 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Stéphane Marks <[email-masked]>
> > Date: Sun, 22 Jun 2025 05:12:46 -0400
> > Cc: [email-masked], [email-masked], [email-masked],
> >       [email-masked], [email-masked], [email-masked]
> >
> > On Sun, Jun 22, 2025 at 4:59 AM Eli Zaretskii <[email-masked]> wrote:
> >
> >  Is it really not feasible to have separate patches for each bugfix and
> >  each enhancement (or coherent set of enhancements)?  What if we decide
> >  to install just some of these changes -- you'd need to update the
> >  entire large patch, instead of dropping a relatively small one and
> >  leaving the others intact.
> >
> > I hope we elect to adopt them all.  It would be much more work to tease
> them all out piecemeal and wouldn't
> > really, in the end, produce a better vtable.
>
> Please also consider the inherent difficulties in reviewing such a
> large (4K lines!) patch.
>

Let's start with the vtable users I looped in actually using it.  I can
attach a vtable.el without the patch file and make it easier.

> WRT quoting symbols, there are examples in the texinfo doc collection
> that suggest the convention is not
> > enforced:
>
> They are all bugs that need to be fixed.  Patches welcome.  "Not
> enforced" would be a wrong conclusion from these omissions.
>

Cool.  I have a patch or two to ediff coming and ediff doesn't follow ELisp
formatting conventions which I found confusing.